libupnp6-1.6.25-alt1.i586.rpm


Advertisement

Description

libupnp6 - Linux SDK for UPnP Devices

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libupnp6-1.6.25-alt1.i586.rpm
Package name libupnp6
Package version 1.6.25
Package release alt1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage -
License -
Maintainer -
Download size 371.63 KB
Installed size 371.63 KB
The Linux SDK for UPnP Devices (libupnp) provides developers with an API
and open source code for building control points, devices, and bridges that
are compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

Alternatives

Package Version Architecture Repository
libupnp6-1.6.25-alt1.x86_64.rpm 1.6.25 x86_64 Classic
libupnp6 - - -

Requires

Name Value
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.7) -
libixml2 = 1.6.25-alt1
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libthreadutil.so.6 -
libupnp.so.6 -
libupnp6 = 1.6.25-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libupnp6-1.6.25-alt1.i586.rpm
Source Package libupnp-1.6.25-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libupnp6 rpm package:
    # sudo apt-get install libupnp6

Files

Path
/usr/lib/libthreadutil.so.6
/usr/lib/libthreadutil.so.6.0.4
/usr/lib/libupnp.so.6
/usr/lib/libupnp.so.6.4.1
/usr/share/doc/libupnp6-1.6.25/ChangeLog
/usr/share/doc/libupnp6-1.6.25/LICENSE
/usr/share/doc/libupnp6-1.6.25/NEWS
/usr/share/doc/libupnp6-1.6.25/README.md
/usr/share/doc/libupnp6-1.6.25/TODO

Changelog

2018-07-23 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.25-alt1
- 1.6.25 released
2016-12-26 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.21-alt1
- 1.6.21 released
2016-09-05 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.20-alt1
- 1.6.20 released
2016-01-08 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.19-alt2
- updated from git.83f3b34
2014-02-25 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.19-alt1
- 1.6.19 released
2013-02-06 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.18-alt1
- 1.6.18 released
2012-06-23 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.17-alt1
- 1.6.17 released
2011-11-18 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.14-alt1
- 1.6.14 released
2011-11-12 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.13-alt3
- add conflicts: to older libupnp
2011-11-11 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.6.13-alt2
- package ixml library separately

See Also

Package Description
libupnpp-0.16.1-alt1.i586.rpm C++ wrapper for libupnp
libupnpp-devel-0.16.1-alt1.i586.rpm C++ wrapper for libupnp
libupower-0.99.10-alt1.i586.rpm upower libraries
libupower-devel-0.99.10-alt1.i586.rpm Development libraries and headers for upower
libupower-gir-0.99.10-alt1.i586.rpm GObject introspection data for the UPower library
libupsclient-2.7.4-alt3.i586.rpm Shared library libupsclient of nut
libupsclient-devel-2.7.4-alt3.i586.rpm Header files and C programming manuals for nut
liburing-0.1-alt4.i586.rpm Linux-native io_uring I/O access library
liburing-devel-0.1-alt4.i586.rpm Development files for Linux-native io_uring I/O access library
liburing-devel-static-0.1-alt4.i586.rpm Static library for developing apps using Linux-native io_uring
liburiparser-0.9.3-alt2.i586.rpm A strictly RFC 3986 compliant URI parsing library
liburiparser-devel-0.9.3-alt2.i586.rpm Header files for uriparser
libusb-1.0.22-alt1.i586.rpm Libusb is a library which allows userspace access to USB devices
libusb-compat-0.1.5-alt1.i586.rpm Libusb is a library which allows userspace access to USB devices
libusb-compat-devel-0.1.5-alt1.i586.rpm Libusb-compat is a wrapper which allows userspace access to USB devices via older (0.1.0) API of libusb
Advertisement
Advertisement